## bdf2sfd 1.1.2

=== CMakeLists.txt ===
#
# bdf2sfd 1.1.2
# Copyright (c) 2019-2020, Frederic Cambus
# https://github.com/fcambus/bdf2sfd
#
# Created:      2019-11-21
# Last Updated: 2020-06-09
#
# bdf2sfd is released under the BSD 2-Clause license
# See LICENSE file for details
#

cmake_minimum_required (VERSION 2.6)

project(bdf2sfd C)

include(CheckFunctionExists)
include(GNUInstallDirs)

# Conditional build options
set(ENABLE_SECCOMP 0
    CACHE BOOL "Enable building with seccomp")

# Check if system has pledge and strtonum
list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_OPENBSD_SOURCE)
check_function_exists(pledge HAVE_PLEDGE)
check_function_exists(strtonum HAVE_STRTONUM)

if(ENABLE_SECCOMP)
  # Check if system has seccomp
  message(STATUS "Looking for seccomp")
  find_path(SECCOMP NAMES "linux/seccomp.h")
  if(SECCOMP)
    message(STATUS "Looking for seccomp - found")
    add_definitions(-DHAVE_SECCOMP)
  else()
    message(STATUS "Looking for seccomp - not found")
  endif()
endif(ENABLE_SECCOMP)

# Additional include directories for compat functions + dependencies
include_directories("compat")

set(CMAKE_BUILD_TYPE Release)
set(SRC src/bdf2sfd.c src/header.c src/parse.c src/polygon.c)

if(NOT HAVE_PLEDGE)
  set (SRC ${SRC} compat/pledge.c)
endif()

if(NOT HAVE_STRTONUM)
  set (SRC ${SRC} compat/strtonum.c)
endif()

add_definitions(-D_GNU_SOURCE -Wall -Wextra -std=c99 -pedantic)
add_executable(bdf2sfd ${SRC})

install(TARGETS bdf2sfd DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES bdf2sfd.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)

enable_testing()
add_test(bdf2sfd bdf2sfd)
add_test(8x16 bdf2sfd ${PROJECT_SOURCE_DIR}/tests/spleen-8x16.bdf)
add_test(12x24 bdf2sfd ${PROJECT_SOURCE_DIR}/tests/spleen-12x24.bdf)
add_test(16x32 bdf2sfd ${PROJECT_SOURCE_DIR}/tests/spleen-16x32.bdf)
add_test(32x64 bdf2sfd ${PROJECT_SOURCE_DIR}/tests/spleen-32x64.bdf)

=== debian/changelog ===
bdf2sfd (1.1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 11 Jun 2020 13:11:16 +0200

bdf2sfd (1.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 04 Apr 2020 20:45:18 +0200

bdf2sfd (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #951034)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 10 Feb 2020 08:06:36 +0100

=== debian/control ===
Source: bdf2sfd
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper-compat (= 12), cmake
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/fonts-team/bdf2sfd.git
Vcs-Browser: https://salsa.debian.org/fonts-team/bdf2sfd
Homepage: https://github.com/fcambus/bdf2sfd

Package: bdf2sfd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: fontforge | fontforge-nox, ree
Description: BDF to SFD converter
 This is a BDF to SFD converter, allowing to vectorize bitmap fonts. It works
 by converting each pixel of a glyph to a polygon, which produces large and
 unoptimized SFD files that should be post-processed using FontForge.
 .
 It was originally created to generate OpenType versions of Spleen, and is
 released in the hope it can be useful to convert other fonts as well. Please
 be aware that it works best on fonts proportional to 8x16. Other sizes will
 work but the aspect ratio will not be preserved. There is currently little
 interest in addressing the issue.

## bdf2sfd 1.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# bdf2sfd 1.1.2
+# bdf2sfd 1.1.5
 # Copyright (c) 2019-2020, Frederic Cambus
 # https://github.com/fcambus/bdf2sfd
 #
 # Created:      2019-11-21
-# Last Updated: 2020-06-09
+# Last Updated: 2020-10-10
 #
 # bdf2sfd is released under the BSD 2-Clause license
 # See LICENSE file for details
@@ -52,7 +52,7 @@
   set (SRC ${SRC} compat/strtonum.c)
 endif()
 
-add_definitions(-D_GNU_SOURCE -Wall -Wextra -std=c99 -pedantic)
+add_definitions(-D_GNU_SOURCE -D_FORTIFY_SOURCE=2 -Wall -Wextra -std=c99 -pedantic)
 add_executable(bdf2sfd ${SRC})
 
 install(TARGETS bdf2sfd DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
bdf2sfd (1.1.5-1) unstable; urgency=medium

  * New upstream version.
  * d/upstream/metadata: added.
  * d/control: added Rules-Requires-Root.
  * Bump debhelper version to 13.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 09 Nov 2020 15:19:22 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper-compat (= 12), cmake
+Build-Depends: debhelper-compat (= 13), cmake
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/fonts-team/bdf2sfd.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/bdf2sfd
 Homepage: https://github.com/fcambus/bdf2sfd

## bdf2sfd 1.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,22 @@
 #
-# bdf2sfd 1.1.5
-# Copyright (c) 2019-2020, Frederic Cambus
+# bdf2sfd 1.1.7
+# Copyright (c) 2019-2021, Frederic Cambus
 # https://github.com/fcambus/bdf2sfd
 #
 # Created:      2019-11-21
-# Last Updated: 2020-10-10
+# Last Updated: 2021-10-18
 #
-# bdf2sfd is released under the BSD 2-Clause license
-# See LICENSE file for details
+# bdf2sfd is released under the BSD 2-Clause license.
+# See LICENSE file for details.
+#
+# SPDX-License-Identifier: BSD-2-Clause
 #
 
-cmake_minimum_required (VERSION 2.6)
+cmake_minimum_required(VERSION 3.1)
+
+set(CMAKE_C_STANDARD 99)
+set(CMAKE_C_STANDARD_REQUIRED ON)
+set(CMAKE_C_EXTENSIONS OFF)
 
 project(bdf2sfd C)
 
@@ -18,8 +24,7 @@
 include(GNUInstallDirs)
 
 # Conditional build options
-set(ENABLE_SECCOMP 0
-    CACHE BOOL "Enable building with seccomp")
+set(ENABLE_SECCOMP 0 CACHE BOOL "Enable building with seccomp")
 
 # Check if system has pledge and strtonum
 list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_OPENBSD_SOURCE)
@@ -41,18 +46,17 @@
 # Additional include directories for compat functions + dependencies
 include_directories("compat")
 
-set(CMAKE_BUILD_TYPE Release)
 set(SRC src/bdf2sfd.c src/header.c src/parse.c src/polygon.c)
 
 if(NOT HAVE_PLEDGE)
-  set (SRC ${SRC} compat/pledge.c)
+  set(SRC ${SRC} compat/pledge.c)
 endif()
 
 if(NOT HAVE_STRTONUM)
-  set (SRC ${SRC} compat/strtonum.c)
+  set(SRC ${SRC} compat/strtonum.c)
 endif()
 
-add_definitions(-D_GNU_SOURCE -D_FORTIFY_SOURCE=2 -Wall -Wextra -std=c99 -pedantic)
+add_definitions(-D_GNU_SOURCE -Wall -Wextra -pedantic)
 add_executable(bdf2sfd ${SRC})
 
 install(TARGETS bdf2sfd DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
bdf2sfd (1.1.7-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.0.
  * Update maintainer address.

 -- Gürkan Myczko <tar@debian.org>  Tue, 16 Nov 2021 14:33:49 +0100

bdf2sfd (1.1.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 09 Sep 2021 09:34:41 +0200

bdf2sfd (1.1.6-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 13 Feb 2021 20:29:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: fonts
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
-Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
+Uploaders: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/fonts-team/bdf2sfd.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/bdf2sfd

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/fcambus/bdf2sfd/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## bdf2sfd 1.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# bdf2sfd 1.1.7
-# Copyright (c) 2019-2021, Frederic Cambus
+# bdf2sfd 1.1.8
+# Copyright (c) 2019-2023, Frederic Cambus
 # https://github.com/fcambus/bdf2sfd
 #
 # Created:      2019-11-21
-# Last Updated: 2021-10-18
+# Last Updated: 2023-03-13
 #
 # bdf2sfd is released under the BSD 2-Clause license.
 # See LICENSE file for details.
@@ -60,7 +60,7 @@
 add_executable(bdf2sfd ${SRC})
 
 install(TARGETS bdf2sfd DESTINATION ${CMAKE_INSTALL_BINDIR})
-install(FILES bdf2sfd.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)
+install(FILES man/bdf2sfd.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)
 
 enable_testing()
 add_test(bdf2sfd bdf2sfd)

=== debian/changelog ===
bdf2sfd (1.1.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Sun, 11 Jun 2023 12:08:11 +0200

bdf2sfd (1.1.8-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.2.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Mon, 03 Apr 2023 11:23:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/fonts-team/bdf2sfd.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/bdf2sfd

## bdf2sfd 1.1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# bdf2sfd 1.1.8
-# Copyright (c) 2019-2023, Frederic Cambus
+# bdf2sfd 1.1.9
+# Copyright (c) 2019-2025, Frederic Cambus
 # https://github.com/fcambus/bdf2sfd
 #
 # Created:      2019-11-21
-# Last Updated: 2023-03-13
+# Last Updated: 2025-03-24
 #
 # bdf2sfd is released under the BSD 2-Clause license.
 # See LICENSE file for details.
@@ -12,7 +12,7 @@
 # SPDX-License-Identifier: BSD-2-Clause
 #
 
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.10)
 
 set(CMAKE_C_STANDARD 99)
 set(CMAKE_C_STANDARD_REQUIRED ON)

=== debian/changelog ===
bdf2sfd (1.1.9-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 31 Mar 2025 10:55:14 +0000

bdf2sfd (1.1.8-3) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 14:04:14 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: fonts
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/fonts-team/bdf2sfd.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/bdf2sfd

## bdf2sfd 1.1.9+git20260214+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # bdf2sfd 1.1.9
-# Copyright (c) 2019-2025, Frederic Cambus
+# Copyright (c) 2019-2026, Frederic Cambus
 # https://github.com/fcambus/bdf2sfd
 #
 # Created:      2019-11-21

=== debian/changelog ===
bdf2sfd (1.1.9+git20260214+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * d/control: Remove `Priority: optional`, no longer needed
  * d/control: Remove `Rules-Requires-Root: no`, no longer needed
  * d/control: Update standards version to 4.7.3, no changes needed
  * d/control: Prefer fontforge-nox to full-fledged fontforge

 -- Gioele Barabucci <gioele@svario.it>  Sun, 15 Feb 2026 12:54:01 +0100

bdf2sfd (1.1.9+git20260214+ds-1) experimental; urgency=medium

  * New upstream version. (Closes: #1126820)
  * Bump standards version to 4.7.2.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Sat, 14 Feb 2026 08:30:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: bdf2sfd
 Section: fonts
-Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/fonts-team/bdf2sfd.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/bdf2sfd
 Homepage: https://github.com/fcambus/bdf2sfd
@@ -13,7 +11,7 @@
 Package: bdf2sfd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: fontforge | fontforge-nox, ree
+Recommends: fontforge-nox | fontforge, ree
 Description: BDF to SFD converter
  This is a BDF to SFD converter, allowing to vectorize bitmap fonts. It works
  by converting each pixel of a glyph to a polygon, which produces large and

## bdf2sfd 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# bdf2sfd 1.1.9
+# bdf2sfd 1.2.0
 # Copyright (c) 2019-2026, Frederic Cambus
 # https://github.com/fcambus/bdf2sfd
 #

=== debian/changelog ===
bdf2sfd (1.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Sun, 15 Feb 2026 17:23:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: bdf2sfd
 Section: fonts
+Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake
-Standards-Version: 4.7.3
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/fonts-team/bdf2sfd.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/bdf2sfd
 Homepage: https://github.com/fcambus/bdf2sfd
@@ -11,7 +13,7 @@
 Package: bdf2sfd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: fontforge-nox | fontforge, ree
+Recommends: fontforge | fontforge-nox, ree
 Description: BDF to SFD converter
  This is a BDF to SFD converter, allowing to vectorize bitmap fonts. It works
  by converting each pixel of a glyph to a polygon, which produces large and
